# QSettings Class Reference

### [com.trolltech.qt.core package]

Inherits QObject.

### Constructor

- void QSettings(QObject parent)
- void QSettings(Format format, Scope scope, String organization, String application, QObject parent)
- void QSettings(Scope scope, String organization, String application, QObject parent)
- void QSettings(String fileName, Format format, QObject parent)
- void QSettings(String organization, String application, QObject parent)

### Constructor Properties

- prototype: The QSettings prototype object
- Format defaultFormat()
- void setDefaultFormat(Format format)
- void setPath(Format format, Scope scope, String path)
- NativeFormat
- IniFormat
- InvalidFormat = 16
- CustomFormat1
- CustomFormat2
- CustomFormat3
- CustomFormat4
- CustomFormat5
- CustomFormat6
- CustomFormat7
- CustomFormat8
- CustomFormat9
- CustomFormat10
- CustomFormat11
- CustomFormat12
- CustomFormat13
- CustomFormat14
- CustomFormat15
- CustomFormat16
- Format( value )
- NoError = 0
- AccessError
- FormatError
- Status( value )
- UserScope
- SystemScope
- Scope( value )

### Prototype Object Properties

The QSettings prototype object inherits properties from the QObject prototype object and also has the following properties.

- List allKeys()
- String applicationName()
- void beginGroup(String prefix)
- int beginReadArray(String prefix)
- void beginWriteArray(String prefix, int size)
- List childGroups()
- List childKeys()
- void clear()
- bool contains(String key)
- void endArray()
- void endGroup()
- bool fallbacksEnabled()
- String fileName()
- Format format()
- String group()
- QTextCodec iniCodec()
- bool isWritable()
- String organizationName()
- void remove(String key)
- Scope scope()
- void setArrayIndex(int i)
- void setFallbacksEnabled(bool b)
- void setIniCodec(QTextCodec codec)
- void setValue(String key, Object value)
- Status status()
- void sync()
- Object value(String key, Object defaultValue)

### Instance Properties

QSettings objects have no special properties beyond those inherited from the QSettings prototype object.